@use "../theme";

a.skip-to-content {
    position: fixed;
    z-index: 999;
    padding: theme.$spacing04;
    background-color: white;
    color: black;
    border: 2px solid black;
    text-decoration: none;

    &:not(:focus) {
        top: 0;
        left: 0;
        height: 1px;
        width: 1px;
        overflow: hidden;
        padding: 0;
        border: 0;
        margin: -1px 0 0 -1px;
    }

    &:focus {
        top: theme.$spacing04;
        left: theme.$spacing04;

        &:hover {
            background-color: white;
            color: black;
        }
    }
}
